.root {
    position: fixed;
    z-index: 1;
    bottom: 0;
    right: 0;
    
    display: grid;

    opacity: 0;
    visibility: hidden;
    transition: opacity 0.2s ease-out;
}

.shown {
    opacity: 1;
    visibility: visible;
}

.contacts {
    width: 48px;
    height: 48px;

    background-color: var(--color-dark);
    background-position: 50% 50%;
    background-repeat: no-repeat;
    background-image: url("data:image/svg+xml,%3Csvg width='40' height='40' viewBox='0 0 40 40' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cg clip-path='url(%23clip0_3023_4584)'%3E%3Cg clip-path='url(%23clip1_3023_4584)'%3E%3Cpath d='M22.7273 25.4545C27.246 25.4545 30.9091 21.7913 30.9091 17.2726C30.9091 12.7539 27.246 9.09082 22.7273 9.09082C18.2086 9.09082 14.5455 12.7539 14.5455 17.2726C14.5455 21.7913 18.2086 25.4545 22.7273 25.4545Z' fill='white'/%3E%3Cpath d='M15.0137 9.55897C17.1773 7.39533 20.25 6.13624 23.6091 6.39988C29.0137 6.82261 33.3364 11.2681 33.6228 16.6817C33.7955 19.909 32.5591 22.8499 30.4818 24.9499L33.6409 28.1862H22.9409C16.9137 28.1862 11.8682 23.3908 11.8227 17.3635C11.8137 15.9635 12.0637 14.6226 12.5318 13.3908' stroke='white' stroke-width='2' stroke-miterlimit='10'/%3E%3Cpath d='M18.6364 14.2725H26.8182' stroke='%23333333' stroke-width='2' stroke-miterlimit='10'/%3E%3Cpath d='M18.6364 17.2725H26.8182' stroke='%23333333' stroke-width='2' stroke-miterlimit='10'/%3E%3Cpath d='M18.6364 20.5449H23' stroke='%23333333' stroke-width='2' stroke-miterlimit='10'/%3E%3Cpath d='M11.8182 17.7412C8.77728 18.823 6.55456 21.673 6.37728 25.0139C6.25001 27.4321 7.17274 29.6367 8.73183 31.2139L6.36365 33.6412H14.3864C17.9773 33.6412 21.1046 31.3685 22.2546 28.1639' stroke='white' stroke-width='2' stroke-miterlimit='10'/%3E%3C/g%3E%3C/g%3E%3Cdefs%3E%3CclipPath id='clip0_3023_4584'%3E%3Crect width='40' height='40' fill='white'/%3E%3C/clipPath%3E%3CclipPath id='clip1_3023_4584'%3E%3Crect width='40' height='40' fill='white'/%3E%3C/clipPath%3E%3C/defs%3E%3C/svg%3E%0A");
}

@media (min-width: 768px) {
    .contacts {
        width: 80px;
        height: 80px;

        background-size: 64px;
    }
}

@media (min-width: 1024px) {
    .contacts:hover,
    .contacts:focus {
        background-color: #000000;
    }
}

.top {
    width: 48px;
    height: 48px;

    padding: 0;
    border: none;
    background-color: var(--color-hint-of-red);
    background-position: 50% 50%;
    background-repeat: no-repeat;
    background-image: url("data:image/svg+xml,%3Csvg width='24' height='24' viewBox='0 0 24 24' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M18 15L12 9L6 15' stroke='%23333333' stroke-width='2' stroke-linecap='square' stroke-linejoin='round'/%3E%3C/svg%3E%0A");

    cursor: pointer;
}

@media (min-width: 768px) {
    .top {
        width: 80px;
        height: 80px;
    }
}

@media (min-width: 1024px) {
    .top:hover,
    .top:focus {
        background-color: #EDE4E6;
    }
}